## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           janino
Version:        3.1.10
Release:        %autorelease
Summary:        Super-small, super-fast Java compiler
License:        BSD-3-Clause
URL:            http://janino-compiler.github.io/janino
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        https://github.com/janino-compiler/janino/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)

Requires:       javapackages-tools
Requires:       commons-compiler = %{version}-%{release}

%description
Janino is a super-small, super-fast Java compiler.

The "JANINO" implementation of the "commons-compiler" API: Super-small,
super-fast, independent from the JDK's "tools.jar".

%package -n commons-compiler
Summary:        Commons Compiler
%description -n commons-compiler
The "commons-compiler" API, including the "IExpressionEvaluator",
"IScriptEvaluator", "IClassBodyEvaluator" and "ISimpleCompiler" interfaces.

%package -n commons-compiler-jdk
Summary:        Commons Compiler JDK
%description -n commons-compiler-jdk
The "JDK" implementation of the "commons-compiler" API that uses the
JDK's Java compiler (JAVAC) in "tools.jar".

%package javadoc
Summary:        API documentation for %{name}
%description javadoc
API documentation for %{name}.

%prep
%autosetup
cd %{name}-parent
# remove maven.compiler.* properties
  %pom_xpath_remove pom:maven.compiler.executable
  %pom_xpath_remove pom:maven.compiler.fork
# remove staging maven plugin
  %pom_remove_plugin :nexus-staging-maven-plugin
# remove jarsigner plugin
  %pom_remove_plugin :maven-jarsigner-plugin
# remove javadoc plugin:
  %pom_remove_plugin :maven-javadoc-plugin
# remove source plugin:
  %pom_remove_plugin :maven-source-plugin
# disable tests module
  %pom_disable_module ../commons-compiler-tests
# don't install parent
  %mvn_package :%{name}-parent __noinstall
cd -

%build

cd %{name}-parent
# de.unkrig.jdisasm:jdisasm is missing
  %mvn_build -s -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8
cd -

%install

cd %{name}-parent
  %mvn_install
# create janinoc script
  %jpackage_script org.codehaus.commons.compiler.samples.CompilerDemo "" "" %{name}/janino:%{name}/commons-compiler janinoc true
cd -

%files -f %{name}-parent/.mfiles-%{name}
%license LICENSE
%{_bindir}/janinoc

%files -n commons-compiler -f %{name}-parent/.mfiles-commons-compiler
%license LICENSE
%files -n commons-compiler-jdk -f %{name}-parent/.mfiles-commons-compiler-jdk
%license LICENSE
%files javadoc -f %{name}-parent/.mfiles-javadoc
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Tue Sep 24 2024 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.1.10-7
- Rebuild to regenerate auto-requires

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Mar 01 2024 Petra Alice Mikova <petra.alice.mikova@gmail.com> - 3.1.10-5
- Set Java source/target to 1.8 to build with JDK 21

* Tue Feb 27 2024 Jiri Vanek <jvanek@redhat.com> - 3.1.10-4
- Rebuilt for java-21-openjdk as system jdk

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 05 2023 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.1.10-1
- Update to 3.1.10 (#2219584)
- use rpmautospec
- migrate to SPDX license

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 26 2023 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.1.9-1
- Update to version 3.1.9

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Jiri <jvanek@redhat.com> - 3.1.7-2
- Rebuilt for Drop i686 JDKs

* Thu Apr 21 2022 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.1.7-1
- New upstream release 3.1.7

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.1.6-2
- Remove patch

* Fri Jan 07 2022 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.1.6-1
- Initial import

* Fri Jan 07 2022 Tomas Hrcka <thrcka@redhat.com> - 2.7.8-18
- Package unretirement

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Jiri <jvanek@redhat.com> - 2.7.8-15
- Rebuilt for JDK-11

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 gil <puntogil@libero.it> - 2.7.8-7
- add missing BR

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 2.7.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 29 2015 gil <puntogil@libero.it> - 2.7.8-5
- update URL field

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 2.7.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil <puntogil@libero.it> - 2.7.8-3
- remove nullanalysis annotations

* Wed Feb 11 2015 gil <puntogil@libero.it> - 2.7.8-2
- remove nullanalysis annotations

* Mon Feb 09 2015 gil <puntogil@libero.it> - 2.7.8-1
- Update to 2.7.8

* Fri Feb 06 2015 gil <puntogil@libero.it> - 2.6.1-17
- introduce license macro

* Sun Jun 08 2014 gil <puntogil@libero.it> - 2.6.1-16
- fix maven-surefire-provider-junit

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 2.6.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 29 2014 gil <puntogil@libero.it> - 2.6.1-14
- disable buildnumber-maven-plugin

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.6.1-13
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 2.6.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 gil <puntogil@libero.it> - 2.6.1-11
- switch to XMvn

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 2.6.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.6.1-9
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild -
  Replace maven BuildRequires with maven-local

* Tue Jul 24 2012 gil <puntogil@libero.it> - 2.6.1-8
- Rebuilt RHBZ #842604 (compile with -target 1.5 or greater)

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 2.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 08 2012 gil <puntogil@libero.it> - 2.6.1-6
- add codehaus-parent to BR

* Sat Apr 28 2012 gil <puntogil@libero.it> - 2.6.1-5
- merged commons-compiler, commons-compiler-jdk and janino-parent in main
  package

* Mon Apr 16 2012 gil <puntogil@libero.it> - 2.6.1-4
- update to 2.6.1

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 2.5.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.15-2
- dist-git conversion

* Fri Nov 27 2009 mef <mef@fedoraproject.org> - 2.5.15-1
- Initial import (#530986)
## END: Generated by rpmautospec
